import { baseApi } from './baseApi';

export const mediaApi = baseApi.injectEndpoints({
  endpoints: (builder) => ({
    getCarousels: builder.query({
      query: () => '/media/carousels',
    }),
    getBanners: builder.query({
      query: () => '/media/banners',
    }),
    getStories: builder.query({
      query: () => '/media/stories',
    }),
  }),
});

export const { useGetCarouselsQuery, useGetBannersQuery, useGetStoriesQuery } = mediaApi;